package cs108;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public final class LZW {
    public static void main(String[] args) throws IOException {
        String inF = args[0];

        if (inF.endsWith(".lzw")) {
            String outF = inF.substring(0, inF.length() - 4);
            System.out.printf("decompressing %s into %s...", inF, outF);
            try (InputStream i = new LZWInputStream(new FileInputStream(inF));
                 OutputStream o = new FileOutputStream(outF)) {
                i.transferTo(o);
            }
            System.out.println("done.");
        } else {
            String outF = inF + ".lzw";
            System.out.printf("compressing %s into %s...", inF, outF);
            try (InputStream i = new FileInputStream(inF);
                 OutputStream o = new LZWOutputStream(new FileOutputStream(outF))) {
                i.transferTo(o);
            }
            System.out.println("done.");
        }
    }
}
